Package uk.co.mccombe.terrain

# Class LocationDialog.GridRefVerifier

java.lang.Object
javax.swing.InputVerifier
uk.co.mccombe.terrain.LocationDialog.GridRefVerifier

Enclosing class:
  `LocationDialog`

public class LocationDialog.GridRefVerifier extends InputVerifier

## Constructor Summary

Constructors
Constructor
Description
`GridRefVerifier()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`verify(JComponent input)`

### Methods inherited from class javax.swing.InputVerifier

`shouldYieldFocus, shouldYieldFocus, verifyTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GridRefVerifier

public GridRefVerifier()

## Method Details

### verify

public boolean verify(JComponent input)

Specified by:
  `verify` in class `InputVerifier`